complexType "OptionStrike"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (strikePrice? | strikePercentage?), currency?
</...>

Content Model Elements (3):

  currency (defined in OptionStrike complexType),
  strikePercentage (defined in OptionNumericStrike complexType),
  strikePrice (defined in OptionNumericStrike complexType)

All Direct / Indirect Based Elements (2):

  price (in strike in bondOption), | upperStrike

Known Usage Locations

- As direct type of elements (2):

  price (in strike in bondOption), | upperStrike

Annotation
A type for defining the strike price for an equity option. The strike price is either: (i) in respect of an index option transaction, the level of the relevant index specified or otherwise determined in the transaction; or (ii) in respect of a share option transaction, the price per share specified or otherwise determined in the transaction. This can be expressed either as a percentage of notional amount or as an absolute value.
Type Definition Detail

Type Derivation Tree OptionNumericStrike (extension) OptionStrike

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="OptionStrike"> <xsd:complexContent> <xsd:extension base="OptionNumericStrike"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.